Skip to main content
PUT
Update a Table Pair

Authorizations

Authorization
string
header
required

Microsoft Entra application token issued by the caller's Organization tenant for this multitenant API. Request the .default scope and assign the application the required GV.APIReader, GV.APIContributor, or GV.APIOwner role.

Path Parameters

resource_id
string<uuid>
required

The Table Pair's ID.

Body

application/json
name
string
required

The Table Pair's name.

Required string length: 1 - 255
Pattern: ^[^\x00-\x1f\x7f]+$
keys
KeyMapping · object[]

Join keys: the columns that match a source row to its target row. VALUE and OUTER_VALUE Tests need them.

Maximum array length: 16
source_filters
Filter · object[]

Only source rows that match every filter are compared, in every Test of the pair.

Maximum array length: 32
target_filters
Filter · object[]

Only target rows that match every filter are compared, in every Test of the pair.

Maximum array length: 32

Response

Successful Response

id
string<uuid>
required
name
string
required

The Table Pair's name.

Required string length: 1 - 255
Pattern: ^[^\x00-\x1f\x7f]+$
source_id
string<uuid>
required

The source Table's ID.

target_id
string<uuid>
required

The target Table's ID.

keys
KeyMapping · object[]

Join keys: the columns that match a source row to its target row. VALUE and OUTER_VALUE Tests need them.

Maximum array length: 16
source_filters
Filter · object[]

Only source rows that match every filter are compared, in every Test of the pair.

Maximum array length: 32
target_filters
Filter · object[]

Only target rows that match every filter are compared, in every Test of the pair.

Maximum array length: 32